### `tf.fft(input, name=None)` {#fft}

Compute the 1-dimensional discrete Fourier Transform.

##### Args:


*  <b>`input`</b>: A `Tensor` of type `complex64`. A complex64 vector.
*  <b>`name`</b>: A name for the operation (optional).

##### Returns:

  A `Tensor` of type `complex64`. The 1D Fourier Transform of `input`.

